public class Angestellter extends Person
{
	private int gehalt;
	private String beruf;
	private static int anzahl;
	
	Angestellter (String name, String vorname,
				int gehalt, String beruf)
	{
		super(name, vorname);
		this.gehalt=gehalt;
		this.beruf=beruf;
		anzahl++;
	}
	
	public String toString()
	{
		return getClass().getName()+
					" Name: " +
					this.getName()+
					", Vorname: " +
					this.getVorname()+
					", Gehalt: " +
					this.gehalt+
					", Beruf: " +
					this.beruf;
	}
	
	public boolean equals(Object o)
	{
		if(o instanceof Angestellter)
		{
			Angestellter aP = (Angestellter) o;
			return	super.equals(o)&&
						aP.gehalt == this.gehalt&&
						aP.beruf.equals(this.beruf);
		}
		return super.equals(o);
	}
	
	void setGehalt(int gehalt)
	{
		this.gehalt=gehalt;
	}
	
	void setBeruf(String beruf)
	{
		this.beruf=beruf;
	}
	
	int getGehalt()
	{
		return this.gehalt;
	}
	
	String getBeruf()
	{
		return this.beruf;
	}
	
	static int getAnzahlAngestellte()
	{
		return anzahl;
	}
}